Bug 1206995

Summary: [RFE] [Fedora] zanata-python-client should allow anonymous pull from Zanata
Product: [Fedora] Fedora Reporter: Ding-Yi Chen <dchen>
Component: zanata-python-clientAssignee: Ding-Yi Chen <dchen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 23CC: aeng, atodorov, bcl, camunoz, dcantrell, dchen, dlehman, dshea, jeischma, jkonecny, kent.neo, mkim, mkolman, noriko, petersen, robyduck, rvykydal, sbueno, sflaniga, vpodzime
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: zanata-python-client-1.4.1-2.fc22 zanata-python-client-1.4.1-2.fc23 zanata-python-client-1.4.1-2.el7 zanata-python-client-1.4.2-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of: 1172618 Environment:
Last Closed: 2016-01-28 18:24:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1172618    
Bug Blocks:    

Description Ding-Yi Chen 2015-03-30 02:05:52 UTC
Clone bug for python-client

+++ This bug was initially created as a clone of Bug #1172618 +++

Pulling translations from Zanata currently requires login/apikey. It would be great if anonymous users could pull translations.

It would allow us to include a "translation update" target directly into Makefile without forcing people to create an account at Zanata.org or without storing po files in Git repository.

Currently for example Anaconda uses downloading new translation files as part of make target for a new version release (we are using Transifex, (that also doesn't allow anonymous pull) but with planned Fedora to switch to Zanata, anonymous pulls would be really great for us).

--- Additional comment from Vratislav Podzimek on 2014-12-10 23:41:19 EST ---

There are many projects that would really welcome such feature.

--- Additional comment from Martin Kolman on 2015-01-07 21:10:41 EST ---

I'm the maintainer of Initial Setup and python-meh, both of which will also use Zanata for translation in the near future, so I would also appreciate anonymous pull support in Zanata, so that users/potential-contributors could build these two applications more easily (without the need to register somewhere).

--- Additional comment from Carlos Munoz on 2015-01-14 12:15:18 EST ---

Notes from our estimation:

- Only for pull source and translation, stats (project level and contributor level).
- Rate limiting by IP
  - Verify it works with direct jboss, Apache, nginx type setups

--- Additional comment from Alexander Todorov on 2015-02-24 22:52:10 EST ---

+1 from a user stand point. 

I'm currently trying to build anaconda from git and don't even have an account with Transifex or Zanata.

--- Additional comment from David Cantrell on 2015-03-07 06:37:22 EST ---

This is a huge workflow issue right now.  Can the priority be increased on this functionality?  The functionality right now requires any contributors to our projects to also set up a Zanata account just to do local test builds of projects.  This is because our build process pulls down the latest translations at build time, which then feeds in to the images that are built.

This was a limitation in Transifex too, it would be nice to not also have the same limitation in Zanata.

--- Additional comment from Michelle Kim on 2015-03-10 08:48:48 EST ---

Thanks everyone for your comments. As I see increased demand for this feature, I am moving this RFE to high priority in our backlog.

--- Additional comment from Alex Eng on 2015-03-19 12:57:08 EST ---

Security implementation for Zanata server:

| Client          | Authenticated | Allowed action(Server) |
------------------------------------------------------------
| have zanata.ini | Yes           | READ/WRITE             | 
| have zanata.ini | No            | READ                   |
| no zanata.ini   | No            | READ                   |
------------------------------------------------------------

--- Additional comment from Alex Eng on 2015-03-19 13:14:20 EST ---

Updated: Security implementation for Zanata server:

| Client             | Authenticated | Allowed action(Server) |
---------------------------------------------------------------
| username/apiKey    | Yes           | READ/WRITE             | 
| username/apiKey    | No            | REJECT                 |
| no username/apikey | No            | READ                   |
---------------------------------------------------------------

--- Additional comment from Ding-Yi Chen on 2015-03-20 10:43:52 EST ---

Note that client also need to modify to delegate the check to server.

--- Additional comment from Sean Flanigan on 2015-03-20 16:52:23 EST ---

Alex, I think we should only allow the relatively cheap read operations for anonymous.  TMX export is probably too expensive (DDOS potential), at least until we have a better way of rate limiting based on processing cost.

At this stage, the bugzilla request is for anonymous pull.  I would throw in anonymous project stats too.  In fact, I think most of the read operations are fairly cheap, apart from TMX export.

--- Additional comment from Alex Eng on 2015-03-24 08:18:11 EST ---

Pull request:
Server:
https://github.com/zanata/zanata-server/pull/737

Client:
https://github.com/zanata/zanata-client/pull/54

--- Additional comment from bcl@redhat.com on 2015-03-27 03:01:52 EST ---

Please remember that we (Anaconda team) are using zanata-python-client in our build scripts. This applies to Fedora as well as RHEL6 and RHEL7.

--- Additional comment from Alex Eng on 2015-03-27 06:44:10 EST ---

This feature involve changes in Zanata-server as well as supported zanata-client (see http://zanata.org/help/cli/cli-install/ for supported client).

However, we are in the progress of bringing our python client up to scratch but unfortunately it's not part of this development.

But as current Zanata user that has authentication, you still can use zanata-python-client to do translation pull from our server.

We will track changes of python client for anonymous pull as separate bug.

Comment 2 Alex Eng 2015-04-20 03:10:00 UTC
*** Bug 1213205 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2015-11-04 15:28:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 David Shea 2015-11-09 16:06:19 UTC
Is there any plan to implement this feature? As noted in bug 1172618, this is a huge workflow issue for anaconda.

Comment 5 Martin Kolman 2015-11-27 14:02:34 UTC
Can we finally get some feedback on this ? The suggested enhancement should be quite easy to implement, so why has it been taking so long ?

As mentioned in comment 4, this is really a big issue that complicates our workflow and I'm sure we are not the only ones impacted given that the whole Fedora project is now using Zanata for translations.

Comment 6 Carlos Munoz 2015-11-30 05:33:18 UTC
The python client is currently a project maintained *entirely* by the community. The requested functionality is already available in Zanata CLI (see http://zanata-client.readthedocs.org/en/latest/). I apologize if this has been left open without a response.

If you wish to contribute a patch for this to the python-based client the Zanata dev team can provide assistance by resolving queries about the Rest API and releasing updates.

Comment 7 David Shea 2016-01-08 15:47:47 UTC
(In reply to Carlos Munoz from comment #6)

> If you wish to contribute a patch for this to the python-based client the
> Zanata dev team can provide assistance by resolving queries about the Rest
> API and releasing updates.

A patch has been contributed and accepted upstream. Would it be possible to include this in a Fedora package?

https://github.com/zanata/zanata-python-client/pull/34

Comment 8 Fedora Update System 2016-01-14 06:06:21 UTC
zanata-python-client-1.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-960a231346

Comment 9 Fedora Update System 2016-01-14 06:06:33 UTC
zanata-python-client-1.4.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2effcc8aab

Comment 10 Fedora Update System 2016-01-14 06:06:33 UTC
zanata-python-client-1.4.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04ae241e4c

Comment 11 Fedora Update System 2016-01-15 08:55:08 UTC
zanata-python-client-1.4.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-04ae241e4c

Comment 12 Fedora Update System 2016-01-15 09:23:07 UTC
zanata-python-client-1.4.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-021804e836

Comment 13 Fedora Update System 2016-01-15 18:54:42 UTC
zanata-python-client-1.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-960a231346

Comment 14 Fedora Update System 2016-01-16 19:26:09 UTC
zanata-python-client-1.4.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2effcc8aab

Comment 15 Fedora Update System 2016-01-21 02:08:53 UTC
zanata-python-client-1.4.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4d5f6a6fb

Comment 16 Fedora Update System 2016-01-22 07:50:21 UTC
zanata-python-client-1.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4d5f6a6fb

Comment 17 Fedora Update System 2016-01-28 18:24:05 UTC
zanata-python-client-1.4.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-01-28 18:29:53 UTC
zanata-python-client-1.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-02-01 22:55:18 UTC
zanata-python-client-1.4.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-02-10 11:03:41 UTC
zanata-python-client-1.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.